--------------------------------------------------------
-- VHDL code per Adder, incremento di 1.
-- By Sebastiano Otupacca - PAP1 2008/2009, 06-05-2009
--------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

--------------------------------------------------------

entity Adder1 is

  generic(n: natural := 8);
  port(D : in std_logic_vector(n-1 downto 0);    -- Data input
       Q : out std_logic_vector(n-1 downto 0));  -- Output di 'D' incrementato

end Adder1;

--------------------------------------------------------

architecture rtl of Adder1 is

begin

  Q <= D + 1;

end rtl;

--------------------------------------------------------
