--------------------------------------------------------
-- VHDL code per Merge di 2 bit in un std_logic_vector.
-- By Sebastiano Otupacca - PAP1 2008/2009, 06-05-2009
--------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

--------------------------------------------------------

entity Merge_Bits is

  port(b0 : in std_logic;                       -- Bit0
       b1 : in std_logic;                       -- Bit1
       Q  : out std_logic_vector(1 downto 0));  -- Merge output

end Merge_Bits;

--------------------------------------------------------

architecture rtl of Merge_Bits is

begin

  Q <= b1 & b0;

end rtl;

--------------------------------------------------------
