--------------------------------------------------------
-- VHDL code per porta OR a 3 input.
-- By Sebastiano Otupacca - PAP1 2008/2009, 06-05-2009
--------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

--------------------------------------------------------

entity OR3 is

  port(A : in std_logic;    -- Input A
       B : in std_logic;    -- Input B
       C : in std_logic;    -- Input C
       Q : out std_logic);  -- OR output

end OR3;

--------------------------------------------------------

architecture rtl of OR3 is

begin

  Q <= A or B or C;

end rtl;

--------------------------------------------------------
