--------------------------------------------------------
-- VHDL code per la porta OR a 16 input.
-- By Sebastiano Otupacca - PAP1 2008/2009, 06-05-2009
--------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

--------------------------------------------------------

entity OR16 is

  port(D : in std_logic_vector(15 downto 0);  -- Input
       Q : out std_logic);                    -- OR output

end OR16;

--------------------------------------------------------

architecture rtl of OR16 is

begin

  Q <= D(15) or D(14) or D(13) or D(12) or D(11) or D(10) or D(9) or D(8) or
       D(7) or D(6) or D(5) or D(4) or D(3) or D(2) or D(1) or D(0);

end rtl;

--------------------------------------------------------
