--------------------------------------------------------
-- Title : iunit map1
-- Project : Menagerie CPU
--------------------------------------------------------
-- File : map1.vhdl
-- Author : Giovanni Franza
-- Company : Studio Informatico Cabrini e Franza
-- Created : 2009-05-07
-- Last Update: 2009-05-07
-- Platform :y
-- Standard : VHDL'87
--------------------------------------------------------

  library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;
use work.mempack.all;

entity map1 is

  port(
    A : in  std_logic_vector(7 downto 0);  -- Address
    D : out std_logic_vector(31 downto 0)  -- Data output
    );

end map1;

--------------------------------------------------------

architecture RTL of map1 is

begin

  D <= map1_ROM(conv_integer(A));

end;

--------------------------------------------------------






